Skip to content

Retrieve contract

Error

This is a mockup. It is not implemented yet!!!!

Endpoint return information about NFT contract

Endpoint: GET

https://{{HOST}}/api/v1/nft/contracts/:contract_address

Example

curl \
--location --request GET 'https://test-into-api.sso-tisa.com/api/v1/nft/contracts/0xFa4Cc50e0FEA52D37D3b86C8cb16aaa67ea5bF24' \
--header 'Content-Type: application/json' 

Returns

{
    "address": "string",
    "name": "string",
    "symbol": "string",
    "chain": "MATIC",
    "description": "string"|null,
    "image": "string"|null,
    "media": [
        {
            "type": "audio|image",
            "value": "string"
        }
    ],
    "is_confirmed": "bool",
    "transaction_hash": "string"
}

Advanced

Info

For more object describes the properties of an NFT contract please read : Object reference